bloc_test 9.1.0 icon indicating copy to clipboard operation
bloc_test: ^9.1.0 copied to clipboard

A testing library which makes it easy to test blocs. Built to be used with the bloc state management package.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add bloc_test

With Flutter:

 $ flutter pub add bloc_test

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  bloc_test: ^9.1.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:bloc_test/bloc_test.dart';
408
likes
140
pub points
98%
popularity

Publisher

verified publisher iconbloclibrary.dev

A testing library which makes it easy to test blocs. Built to be used with the bloc state management package.

Homepage
Repository (GitHub)
View/report issues

Documentation

Documentation
API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

bloc, diff_match_patch, meta, mocktail, test

More

Packages that depend on bloc_test